import { SetRootState } from './actions';
import { ActionReducer } from '@ngrx/store';
export declare class NgrxMetareducers {
    static TIMESTAMP: symbol;
    static resetState(reducer: ActionReducer<any>): ActionReducer<any, any>;
    static setRootState(reducer: ActionReducer<any>): ActionReducer<any, SetRootState>;
    static timestamp(reducer: ActionReducer<any>): ActionReducer<any>;
}
